@import url('./null_style.css');

header{
    padding: 25px 15px;
    background-color: #af9800;
    display: flex;
    align-items: center;
    font-size: 20px;
}

.name{
    font-size: 30px;
    flex: 1 1 auto;
}
.test{

    vertical-align: center;
    display: flex;
    align-items: center;
}

nav{
    font-size: 30px;
    width: 18%;
    background-color: #9c9f60;
    height: 100%;
    align-self: stretch;
}
nav a{

    color: black;
    margin-inline: auto;
}
nav a:hover{
    color: white;
    transition: all 0.3s;
}
.nav-div{
    padding-left: 15px;
    margin-top: 30px;
}
main{
    display: flex;
    height: 100%;

}

section{
    flex: 1 1 auto;
    padding: 25px;


}
.button-class{
    float: right;
    background-color: #af9800;
    width: 30px;
    height: 30px;
    margin-bottom: 15px;

}
.button-class:hover{
    background-color: #d7b12f;
    transition: 0.4s;
}
.table {
    width: 100%;
    height: 75%;
    overflow: auto;
}
table{
    width: 100%;
}
.table__title,
.table__rows {
    display: grid;
    grid-template-columns: repeat(7, calc(100% / 7));
    box-shadow: 10px 10px 20px rgba(0, 0, 0, 0.5);
}

.table__head,
.table__body {
    display: block;
    border-right: 1px solid #222222;
    padding: 0;
}

.table__body {
    border-bottom: 1px solid #222222;
}

.table__content {
    border-top: 1px solid #222222;
    border-left: 1px solid #222222;
    padding: 7px 0;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: all 1s;
}

.table__head tr:first-child {
    background: #d5d6d2;
}

.table__body tr:nth-child(even) {
    background: #d5d6d2;
}

.table__body tr:nth-child(odd) {
    background: #e5e5e5;
}

.table__body tr {
    transition: all 0.5s;
}

.table__body tr:hover {
    background: #fff;
}

.table__rows .circle {
    transition: all 1s;
}

.table__rows:hover .circle {
    background: #0f0;
}

section h1{
    font-size: 40px;
}

.warning__page,
.adding__page {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    display: none;
    align-items: center;
    justify-content: center;
    background: #00000083;
}

.adding__block {
    width: 500px;
    background: #fff;
    border-radius: 20px;
    border: 1px solid #222222;
}

.warning__header,
.adding__header {
    height: 15%;
    border-bottom: 1px solid #222222;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 30px;
}

.warning__header h2,
.adding__header h2 {
    font-size: 30px;
    font-weight: bold;
}

.warning__header button,
.adding__header button {
    width: 40px;
    height: 40px;
    border: 1px solid #000;
}

.adding__form {
    height: 70%;
    border-bottom: 1px solid #222222;
    padding: 10% 0;
}

.form__flex-box {
    max-width: 350px;
    margin-inline: auto;
}

.form__item {
    margin-bottom: 30px;
}

.form__item input,
.form__item select {
    width: 100%;
    height: 35px;
    border-radius: 5px;
    margin-inline: auto;
    border: 1px solid #222222;
    padding-left: 10px;
}
.adding__footer {
    display: flex;
    justify-content: end;
    align-items: center;
    padding: 30px;
}

.warning__footer button,
.adding__footer button {
    padding: 15px 30px;
    border: 1px solid #000;
}

.warning__footer button,
.adding__footer button:last-child {
    margin-left: 20px;
}
.Row{
    display: grid;
    grid-template-columns: repeat(7, calc(100% / 7));
}
.test-img{
    width: 50px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.notification:hover{
    animation: notification_animation 0.8s;
}

@keyframes notification_animation {
    0%{
        transform: rotate(0deg);
    }
    25%{
        transform: rotate(30deg);
    }
    50%{
        transform: rotate(-30deg);
    }
    75%{
        transform: rotate(30deg);
    }

}
header img{
    width: 40px;
    height: 40px;
}

.warning__main {
    height: 65%;
    border-bottom: 1px solid #222222;
    padding: 10% 20px;
    font-weight: 500;
    font-size: 40px;
}

.warning__footer {
    display: flex;
    justify-content: end;
    align-items: center;
    padding: 15px;
}
.warning__block {
    width: 50%;
    height: 50%;
    background: #fff;
    border-radius: 20px;
    border: 1px solid #222222;
}

@media (max-width: 850px){
    nav{
        width: 100%;
        display: flex;
        height: 80px;
    }
    main{
        display: block;
    }
    .nav-div{
        flex: 1 1 auto;
        padding-left: 30px;
        height: 80px;
        align-items: center;
    }
    .nav-link{
        align-items: center;
    }
}
@media (max-width: 600px) {
    .table{
        overflow: scroll;
        width: 100%;
    }
    th,td{
        width:100px
    }
    .nav-div{
        margin: 0;
        display: flex;
        height: 80px;
        align-items: center;
    }
}
@media (max-width: 400px) {
    .nav-div{
        font-size: 20px;
    }
}

.checkbox{
    width: 20px;
    height: 20px;
}
.options__edit,
.options__delete{
    background: none;
    display: flex;
    align-items: center;
    margin: 0;

}


.options__edit img,
.options__delete img{
    width: 30px;
    height: 30px;

}
.dropdown-content {
    display: none;
    position: absolute;
    background-color: #ffffff;
    border: 1px solid #ccc;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    padding: 12px 16px;
    z-index: 1;


}
.dropdown-content a{
    width: 100%;
    display: block;
    text-decoration: none;
    padding: 10px;
    color: black;
}
.dropdown-content a:hover{
    color: grey;
}
.dropdown:hover .dropdown-content {
    display: block;
}

.notification-container {
    position: relative;
}

.notification-container .messages {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    width: 250px;
    background-color: #ffffff;
    border: 1px solid #ccc;
    border-radius: 5px;
    padding: 10px;
    z-index: 1000;
}

.notification-container:hover .messages {
    display: block;
}


